<?php
/**
 *
 * @file:VerifyCheckRequest.php
 * @Date: 2023/5/30
 * @Time: 14:02
 */


namespace Modules\Jiesuan\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class VerifyCheckRequest extends FormRequest
{
    /**
     * rules
     *
     * @return array
     */
    public function rules(): array
    {
        return [
            'id' => [ 'required', 'Integer', "gt:0", ],
            'status' => [ 'required','Integer', "in:2,3"]
        ];
    }

    /**
     * messages
     *
     * @return string[]
     */
    public function messages(): array
    {
        return [
            'refund_id.required' => '审核信息id必填',
            'refund_id' => '审核信息id',
            'status' => '审核状态不正确',
        ];
    }
}
